<?php
/**
 * This is the main administration page, if you have only one admin page you can put
 * directly its code here or using the tabsheet system like bellow
 */

defined('UPDATEALBUM_PATH') or die('Hacking attempt!');

global $template, $page, $conf;


// get current tab
$page['tab'] = isset($_GET['tab']) ? $_GET['tab'] : $page['tab'] = 'home';

// plugin tabsheet is not present on photo page
if ($page['tab'] != 'photo')
{
  // tabsheet
  include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
  $tabsheet = new tabsheet();
  $tabsheet->set_id('updatealbum');

  $tabsheet->add('home', l10n('Update Album'), UPDATEALBUM_ADMIN . '-home');
  $tabsheet->select($page['tab']);
  $tabsheet->assign();
}

// include page
include(UPDATEALBUM_PATH . 'admin/' . $page['tab'] . '.php');

// template vars
$template->assign(array(
  'UPDATEALBUM_PATH'=> UPDATEALBUM_PATH, // used for images, scripts, ... access
  'UPDATEALBUM_ABS_PATH'=> realpath(UPDATEALBUM_PATH), // used for template inclusion (Smarty needs a real path)
  'UPDATEALBUM_ADMIN' => UPDATEALBUM_ADMIN,
  ));

// send page content
$template->assign_var_from_handle('ADMIN_CONTENT', 'updatealbum_content');
